Subject: bug#59693: 29.0.50; treesitter in base buffer doesn't respond to modifications in indirect buffer correctly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Dec 2022 14:17:44 +0200

> From: Yuan Fu <[email-masked]>
> Date: Mon, 5 Dec 2022 18:15:07 -0800
> Cc: Stefan Monnier <[email-masked]>,
>  [email-masked],
>  [email-masked]
> 
> 1. Only allow base buffer to have parsers, no change is needed for insdel.c, treesit_record_change can find the base buffer and update its parsers. We can ask indirect buffers to use their base buffer’s parser. Unless the base buffer is narrowed, I think it will work fine. 

I think this is fine, but we need to document it.

> I remember that there were a discussion along the lines of user-narrow vs low-level narrow, what was the outcome of that discussion?

Nothing in particular, and I don't think it's relevant.  If some mode needs
to widen, it can.

Thanks.